commit:     1e3239c14bffae667b91d132c9734357c58c4e0e
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed May 26 10:15:35 2021 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed May 26 10:15:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e3239c1

x11-plugins/pidgin-indicator: Add appindicator plugin for pidgin

Since gnome-shell-extensions-topicons-plus is unmaintained for a long time
and has no Gnome 40 support, this is the only way to still be able to manage
pidgin from tray icon, relying on appindicator.

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-plugins/pidgin-indicator/Manifest              |  1 +
 .../pidgin-indicator-1.0.1-appindicator3.patch     | 22 +++++++++++
 x11-plugins/pidgin-indicator/metadata.xml          |  8 ++++
 .../pidgin-indicator/pidgin-indicator-1.0.1.ebuild | 44 ++++++++++++++++++++++
 4 files changed, 75 insertions(+)

diff --git a/x11-plugins/pidgin-indicator/Manifest 
b/x11-plugins/pidgin-indicator/Manifest
new file mode 100644
index 00000000000..7f72b304951
--- /dev/null
+++ b/x11-plugins/pidgin-indicator/Manifest
@@ -0,0 +1 @@
+DIST pidgin-indicator-1.0.1.tar.bz2 311197 BLAKE2B 
53c29c5c549f77caabbbbea69c447c2c092e063ee8d1a082507ec195ef7be45bf150e7831ff27c7759c79fc31ce289cd374fb7734f5171a9853e5fd37ac05bd3
 SHA512 
a39a285309242cfd121cff6aa6466cc2d6b4e37787cce87b9b7ed00a4147fee8ce2e9c6817212680c81b20b9c0bf7dac5d501861e6feffd8d0479a8293ad8201

diff --git 
a/x11-plugins/pidgin-indicator/files/pidgin-indicator-1.0.1-appindicator3.patch 
b/x11-plugins/pidgin-indicator/files/pidgin-indicator-1.0.1-appindicator3.patch
new file mode 100644
index 00000000000..436166fe399
--- /dev/null
+++ 
b/x11-plugins/pidgin-indicator/files/pidgin-indicator-1.0.1-appindicator3.patch
@@ -0,0 +1,22 @@
+From b0d26dd060475505f3c0a6369f4fbbd3c20d84b0 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Patrick=20H=C3=B6hn?= <[email protected]>
+Date: Fri, 7 Feb 2020 10:26:46 +0100
+Subject: [PATCH] Update configure.ac to make compatible with python3
+
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index dfd8a1b..fefd90d 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -96,7 +96,7 @@ PKG_CHECK_MODULES(GTK, [gtk+-2.0])
+ AC_SUBST(GTK_LIBS)
+ AC_SUBST(GTK_CFLAGS)
+ 
+-PKG_CHECK_MODULES(INDICATOR, [appindicator-0.1])
++PKG_CHECK_MODULES(INDICATOR, [appindicator3-0.1])
+ AC_SUBST(INDICATOR_LIBS)
+ AC_SUBST(INDICATOR_CFLAGS)
+ 

diff --git a/x11-plugins/pidgin-indicator/metadata.xml 
b/x11-plugins/pidgin-indicator/metadata.xml
new file mode 100644
index 00000000000..5e1cee9e7c1
--- /dev/null
+++ b/x11-plugins/pidgin-indicator/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<maintainer type="person">
+  <email>[email protected]</email>
+  <name>Pacho Ramos</name>
+</maintainer>
+</pkgmetadata>

diff --git a/x11-plugins/pidgin-indicator/pidgin-indicator-1.0.1.ebuild 
b/x11-plugins/pidgin-indicator/pidgin-indicator-1.0.1.ebuild
new file mode 100644
index 00000000000..f3f67ac2bc9
--- /dev/null
+++ b/x11-plugins/pidgin-indicator/pidgin-indicator-1.0.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="AppIndicator/KStatusNotifierItem plugin for Pidgin"
+HOMEPAGE="https://github.com/philipl/pidgin-indicator";
+SRC_URI="https://github.com/philipl/pidgin-indicator/releases/download/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+# No direct gtk3 until pidgin migrates:
+# https://github.com/philipl/pidgin-indicator/issues/32
+RDEPEND="
+       dev-libs/libappindicator:3
+       net-im/pidgin[gtk]
+       x11-libs/gtk+:2
+"
+DEPEND="${RDEPEND}
+       dev-perl/XML-Parser
+"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}/${P}-appindicator3.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die "Pruning failed"
+}

Reply via email to